import request from '@/utils/request'

// 查询报警记录管理列表
export function listAlarmhistory(query) {
  return request({
    url: '/system/alarmhistory/list',
    method: 'get',
    params: query
  })
}

// 首页查询报警记录信息
export function homeList(query) {
  return request({
    url: '/system/alarmhistory/homeList',
    method: 'get',
    params: query
  })
}

// 查询报警记录管理详细
export function getAlarmhistory(id) {
  return request({
    url: '/system/alarmhistory/' + id,
    method: 'get'
  })
}

// 新增报警记录管理
export function addAlarmhistory(data) {
  return request({
    url: '/system/alarmhistory',
    method: 'post',
    data: data
  })
}

// 修改报警记录管理
export function updateAlarmhistory(data) {
  return request({
    url: '/system/alarmhistory',
    method: 'put',
    data: data
  })
}

// 删除报警记录管理
export function delAlarmhistory(id) {
  return request({
    url: '/system/alarmhistory/' + id,
    method: 'delete'
  })
}

// 导出报警记录管理
export function exportAlarmhistory(query) {
  return request({
    url: '/system/alarmhistory/export',
    method: 'get',
    params: query
  })
}
